From 5a0a3502d496a1a0d0881dd001bcf5888c6f88a9 Mon Sep 17 00:00:00 2001
From: Moritz Bunkus <mo@bunkus.online>
Date: Tue, 23 May 2023 14:28:54 +0200
Subject: [PATCH] fix format strings

Fixes #3548.
Upstream-Status: Backport
Origin: Upstream
Signed-off-by: Ismael Luceno <ismael@sourcemage.org>
---
 src/common/ac3.cpp           | 2 +-
 src/merge/cluster_helper.cpp | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/common/ac3.cpp b/src/common/ac3.cpp
index c392d2ddd..07de6b463 100644
--- a/src/common/ac3.cpp
+++ b/src/common/ac3.cpp
@@ -381,7 +381,7 @@ frame_c::to_string(bool verbose)
                             get_effective_channel_layout());
 
   for (auto &frame : m_dependent_frames)
-    output += fmt::format(" { {0} }", frame.to_string(verbose));
+    output += fmt::format(" {{ {0} }}", frame.to_string(verbose));
 
   return output;
 }
diff --git a/src/merge/cluster_helper.cpp b/src/merge/cluster_helper.cpp
index e47651c2c..105db4c34 100644
--- a/src/merge/cluster_helper.cpp
+++ b/src/merge/cluster_helper.cpp
@@ -115,8 +115,8 @@ cluster_helper_c::render_before_adding_if_necessary(packet_cptr const &packet) {
   timestamp_delay          = (int64_t)(timestamp_delay / g_timestamp_scale);
 
   mxdebug_if(m->debug_packets,
-             fmt::format("cluster_helper_c::add_packet(): new packet { source {0}/{1} "
-                         "timestamp: {2} duration: {3} bref: {4} fref: {5} assigned_timestamp: {6} timestamp_delay: {7} }\n",
+             fmt::format("cluster_helper_c::add_packet(): new packet {{ source {0}/{1} "
+                         "timestamp: {2} duration: {3} bref: {4} fref: {5} assigned_timestamp: {6} timestamp_delay: {7} }}\n",
                          packet->source->m_ti.m_id, packet->source->m_ti.m_fname, packet->timestamp,          packet->duration,
                          packet->bref,              packet->fref,                 packet->assigned_timestamp, mtx::string::format_timestamp(timestamp_delay)));
 
-- 
GitLab

